com.hazelcast.nio.serialization

## Enum DataType

- java.lang.Object
- - java.lang.Enum<DataType>
  - - com.hazelcast.nio.serialization.DataType

- All Implemented Interfaces:
    Serializable, Comparable<DataType>

      public enum DataType
      extends Enum<DataType>

  Defines type of the Data: heap or native.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HEAP` Heap data type.
    `NATIVE` Native data type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HEAP

          public static final DataType HEAP

      Heap data type.

    - #### NATIVE

          public static final DataType NATIVE

      Native data type.

  - ### Method Detail

    - #### values

          public static DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataType c : DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.